Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter jalur
id
string
diperlukan
Unique identifier for the evaluation rule.
Respons
The request has succeeded.
Isi
id
string
diperlukan
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
diperlukan
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
diperlukan
evalId
string
diperlukan
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
diperlukan
templateId
string
diperlukan
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
diperlukan
Filter by agent name.
eventType
string | enum
diperlukan
Type of the evaluation rule event.
enum
enabled
boolean
diperlukan
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
diperlukan
System metadata for the evaluation rule.
Minta
GET /evaluationrules/{id} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json